Subject: Re: Porting Escape Sequences
From: Jeff Sturm <[email-masked]>
To: Andrey Danilevich <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Mar 2000 18:50:55 -0500

Andrey Danilevich wrote:
> Can somebody please help? I am porting unix application on NT4. My code
> uses
> escape sequences to manipulate cursor movements, to set and use
> scrolling area,
> to clean lines etc. printf("\033[ .... doesn't work on NT properly.
> How can I make it working?

You should really use the termcap/terminfo libraries for portability...
you are assuming ANSI escape sequences.  Not all tty devices obey ANSI
sequences.  (Termcap is provided with Cygwin.  Terminfo is part of the
ncurses package.)

How exactly is it not working?  (I can only guess without
compiling/running your code myself.)

--
Jeff Sturm
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]